# Class webdriver.testing.Assertion

code »

Utility for performing assertions against a given `value`. If the value is a `webdriver.promise.Promise`, this assertion will wait for it to resolve before applying any matchers.

## Constructor

webdriver.testing.Assertion ( value )

Parameters

value: `*`
  The value to wrap and apply matchers to.

## Classes

webdriver.testing.Assertion.DelegatingMatcher_
  Wraps an object literal implementing the Matcher interface.

Show:PublicProtectedPrivate

## Instance Methods

code » apply ( matcher, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the given `matcher` accepts the value wrapped by this instance. If the wrapped value is a promise, this function will defer applying the assertion until the value has been resolved. Otherwise, it will be applied immediately.

Parameters

matcher: `!goog.labs.testing.Matcher`
  The matcher to apply
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The deferred assertion result, or `null` if the assertion was immediately applied.

code » closeTo ( value, range, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is a number within a given distance of an expected value.

Parameters

value: `number`
  The expected value.
range: `number`
  The maximum amount the actual value is permitted to differ from the expected value.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » contains ( value, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is a string or array-like structure containing the given value.

Parameters

value: `*`
  The expected value.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » endsWith ( suffix, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is a string ending with the given suffix.

Parameters

suffix: `string`
  The expected suffix.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » equalTo ( value, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the value managed by this assertion is strictly equal to the given `value`.

Parameters

value: `*`
  The expected value.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » greaterThan ( value, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the value managed by this assertion is a number strictly greater than `value`.

Parameters

value: `number`
  The minimum value.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » greaterThanEqualTo ( value, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the value managed by this assertion is a number >= the given value.

Parameters

value: `number`
  The minimum value.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » instanceOf ( ctor, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is an instance of the given class.

Parameters

ctor: `!Function`
  The expected class constructor.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » isFalse ( ) ⇒ `webdriver.promise.Promise`

Asserts that the value managed by this assertion is strictly false.

Returns

The assertion result.

code » isNull ( opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is null.

Parameters

opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » isNullOrUndefined ( opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is null or undefined.

Parameters

opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » isTrue ( ) ⇒ `webdriver.promise.Promise`

Asserts that the value managed by this assertion is strictly true.

Returns

The assertion result.

code » isUndefined ( opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is undefined.

Parameters

opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » lessThan ( value, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the value managed by this assertion is a number strictly less than the given value.

Parameters

value: `number`
  The maximum value.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » lessThanEqualTo ( value, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the value managed by this assertion is a number <= the given value.

Parameters

value: `number`
  The maximum value.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » matches ( regex, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is a string that matches the given RegExp.

Parameters

regex: `!RegExp`
  The regex to test.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

code » startsWith ( prefix, opt_message ) ⇒ `webdriver.promise.Promise`

Asserts that the wrapped value is a string starting with the given prefix.

Parameters

prefix: `string`
  The expected prefix.
opt_message: `string=`
  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

The assertion result.

## Instance Properties

code » is : `!webdriver.testing.Assertion`

A self reference provided for writing fluent assertions: webdriver.testing.assert(x).is.equalTo(y);

code » not : `!webdriver.testing.NegatedAssertion`

Negates any matchers applied to this instance's value: webdriver.testing.assert(x).not.equalTo(y);

code » value_ : `*`